//====================================================================
//
//      fzpf_flash_strata.c
//
//      Strata FLASH memory - Hardware support on FZPF platform
//
//====================================================================
//####ECOSGPLCOPYRIGHTBEGIN####
// -------------------------------------------
// This file is part of eCos, the Embedded Configurable Operating System.
// Copyright (C) 2004 Andrew Lunn
//
// eCos is free software; you can redistribute it and/or modify it under
// the terms of the GNU General Public License as published by the Free
// Software Foundation; either version 2 or (at your option) any later version.
//
// eCos is distributed in the hope that it will be useful, but WITHOUT ANY
// WARRANTY; without even the implied warranty of MERCHANTABILITY or
// FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
// for more details.
//
// You should have received a copy of the GNU General Public License along
// with eCos; if not, write to the Free Software Foundation, Inc.,
// 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA.
//
// As a special exception, if other files instantiate templates or use macros
// or inline functions from this file, or you compile this file and link it
// with other works to produce a work based on this file, this file does not
// by itself cause the resulting work to be covered by the GNU General Public
// License. However the source code for this file must still be made available
// in accordance with section (3) of the GNU General Public License.
//
// This exception does not invalidate any other reasons why a work based on
// this file might be covered by the GNU General Public License.
//
// Alternative licenses for eCos may be arranged by contacting Red Hat, Inc.
// at http://sources.redhat.com/ecos/ecos-license/
// -------------------------------------------
//####ECOSGPLCOPYRIGHTEND####
//====================================================================
//#####DESCRIPTIONBEGIN####
//
// Author(s):      andrew lunn
// Original data:  
// Contributors:   
// Date:           2004-08-06
//
//####DESCRIPTIONEND####
//
//====================================================================

#define CYGNUM_FLASH_BASE 	(0xBE000000u)
#define CYGNUM_FLASH_INTERLEAVE	(1)
#define CYGNUM_FLASH_WIDTH 	(16)
#define CYGNUM_FLASH_BANKS      (1)
#define CYGNUM_FLASH_BANK_MASK  (0xFE000000u)
#define CYGNUM_FLASH_BLANK      (1)

#include <cyg/io/flash_strata_v2.inl>

CYG_FLASH_DRIVER(flash_stata_dev,
                 &cyg_flash_strata_v2_funs,
                 NULL,
                 CYGNUM_FLASH_BASE,
                 sizeof(struct cyg_flash_strata_v2_priv));
// ------------------------------------------------------------------------
// EOF fzpf_flash_strata.c
